Std Refresh/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(23 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{Docnav
{{Docnav/ru
|[[Std_DuplicateSelection|Std DuplicateSelection]]
|[[Std_DuplicateSelection/ru|Команда "Дублировать выбранное"]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection/ru|Команда "Выделить область"]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu/ru|Меню "Правка"]]
|IconL=Std_DuplicateSelection.png
|IconL=Std_DuplicateSelection.svg
|IconC=Freecad.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
}}
}}


{{GuiCommand/ru
<div class="mw-translate-fuzzy">
|Name/ru=Обновить
{{GuiCommand/ru|Name=Std_Refresh|Name/ru=Std_Refresh|MenuLocation=[[Std_Edit_Menu/ru|Правка]] → Обновить|Workbenches=All|Shortcut=F5 or Ctrl+R|SeeAlso=...}}
|Name=Std_Refresh
</div>
|MenuLocation=Правка → Обновить
|Workbenches=Все
|Shortcut={{KEY|F5}}
}}


<span id="Description"></span>
==Описание==


The '''Std Refresh''' command recomputes the active document. The command is disabled if the document does not require a recompute.
== Description ==
When used, this command recomputes all altered components on the screen and refreshes the display.


<span id="Usage"></span>
== How to use ==
==Применение==


# There are several ways to invoke the command:
Press {{KEY|F5}} or {{KEY|Ctrl}}+{{KEY|R}} or click on the icon {{Button|[[File:Std_Refresh.svg|16px]] [[Std_Refresh|Refresh]]}}.
#* Press the {{Button|[[Image:Std_Refresh.svg|16px]] [[Std_Refresh|Std Refresh]]}} button.
#* Select the {{MenuCommand|Edit → [[Image:Std_Refresh.svg|16px]] Refresh}} option from the menu.
#* Use the keyboard shortcut: {{KEY|F5}}.


<span id="Options"></span>
== Limitations ==
==Опции==
FreeCAD will only allow Refresh when (according to the program's opinion) an alteration of a component happened.
Then the grayed-out Refresh-Icon will become blue.
To force a manual recompute you could use the macro [[Macro ForceRecompute|Force Recompute]]


* To force a recompute select the document or one or more objects in the [[Tree_view|Tree view]], choose the {{MenuCommand|[[Image:Std_MarkToRecompute.svg|16px]] Mark to recompute}} option from the context menu, and invoke the command.
== Scripting ==
* For objects, but not for documents, you can also choose {{MenuCommand|Recompute object}} from the same context menu.


<span id="Notes"></span>
{{Emphasis|See also:}} [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
==Примечания==


* For a macro that will recompute the active document see: [[Macro_ForceRecompute|Macro ForceRecompute]].
Recomputing the model can be done in [[macros|macros]] and from the [[Python|Python]] console by using the {{incode|recompute}} method of the currently active document.

<span id="Scripting"></span>
==Программирование==

{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].

Для обновления документа используйте метод {{incode|recompute}} объекта document.


{{Code|code=
{{Code|code=
import FreeCAD as App
import FreeCAD


doc = App.newDocument()
doc = FreeCAD.newDocument()
doc.recompute()
doc.recompute()
# App.ActiveDocument.recompute()
}}
}}


{{Docnav
{{Docnav/ru
|[[Std_DuplicateSelection|Std DuplicateSelection]]
|[[Std_DuplicateSelection/ru|Команда "Дублировать выбранное"]]
|[[Std_BoxSelection|Std BoxSelection]]
|[[Std_BoxSelection/ru|Команда "Выделить область"]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu/ru|Меню "Правка"]]
|IconL=Std_DuplicateSelection.png
|IconL=Std_DuplicateSelection.svg
|IconC=Freecad.svg
|IconR=Std_BoxSelection.svg
|IconR=Std_BoxSelection.svg
|IconC=Freecad.svg
}}
}}


{{Std Base}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 15:40, 20 May 2023

Обновить

Системное название
Std_Refresh
Расположение в меню
Правка → Обновить
Верстаки
Все
Быстрые клавиши
F5
Представлено в версии
-
См. также
Нет

Описание

The Std Refresh command recomputes the active document. The command is disabled if the document does not require a recompute.

Применение

  1. There are several ways to invoke the command:
    • Press the Std Refresh button.
    • Select the Edit → Refresh option from the menu.
    • Use the keyboard shortcut: F5.

Опции

  • To force a recompute select the document or one or more objects in the Tree view, choose the Mark to recompute option from the context menu, and invoke the command.
  • For objects, but not for documents, you can also choose Recompute object from the same context menu.

Примечания

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

Для обновления документа используйте метод recompute объекта document.

import FreeCAD

doc = FreeCAD.newDocument()
doc.recompute()